IntegrationSpec (Grails 2.4.4)
Date: 2014-10-28

Package: grails.test.spock

## [Groovy] Class IntegrationSpec

- grails.test.spock.IntegrationSpec

- Super class for integration tests to extend

  Authors:
    Graeme Rocher
    Luke Daley
  Since:
    2.3

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class spock.lang.Specification` | `_`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.Object` | `cleanup()`
    `java.lang.Object` | `cleanupSpec()`
    `java.lang.Object` | `setup()`
    `java.lang.Object` | `setupSpec()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class spock.lang.Specification` | `spock.lang.Specification#thrown(), spock.lang.Specification#thrown(java.lang.Class), spock.lang.Specification#with(java.lang.Object, groovy.lang.Closure), spock.lang.Specification#notThrown(java.lang.Class), spock.lang.Specification#old(java.lang.Object), spock.lang.Specification#noExceptionThrown(), spock.lang.Specification#Stub(java.util.Map), spock.lang.Specification#Stub(), spock.lang.Specification#Stub(java.util.Map, java.lang.Class, groovy.lang.Closure), spock.lang.Specification#Stub(java.lang.Class, groovy.lang.Closure), spock.lang.Specification#Stub(java.util.Map, groovy.lang.Closure), spock.lang.Specification#Stub(groovy.lang.Closure), spock.lang.Specification#Stub(java.util.Map, java.lang.Class), spock.lang.Specification#Stub(java.lang.Class), spock.lang.Specification#Spy(java.util.Map, groovy.lang.Closure), spock.lang.Specification#Spy(java.lang.Class, groovy.lang.Closure), spock.lang.Specification#Spy(java.util.Map, java.lang.Class, groovy.lang.Closure), spock.lang.Specification#Spy(), spock.lang.Specification#Spy(java.util.Map), spock.lang.Specification#Spy(java.lang.Class), spock.lang.Specification#Spy(java.util.Map, java.lang.Class), spock.lang.Specification#Spy(groovy.lang.Closure), spock.lang.Specification#Mock(java.util.Map, java.lang.Class), spock.lang.Specification#Mock(java.lang.Class), spock.lang.Specification#Mock(java.util.Map), spock.lang.Specification#Mock(), spock.lang.Specification#Mock(java.util.Map, java.lang.Class, groovy.lang.Closure), spock.lang.Specification#Mock(java.lang.Class, groovy.lang.Closure), spock.lang.Specification#Mock(java.util.Map, groovy.lang.Closure), spock.lang.Specification#Mock(groovy.lang.Closure), spock.lang.Specification#interaction(groovy.lang.Closure), spock.lang.Specification#GroovyMock(groovy.lang.Closure), spock.lang.Specification#GroovyMock(java.util.Map, groovy.lang.Closure), spock.lang.Specification#GroovyMock(java.lang.Class, groovy.lang.Closure), spock.lang.Specification#GroovyMock(java.util.Map, java.lang.Class, groovy.lang.Closure), spock.lang.Specification#GroovyMock(), spock.lang.Specification#GroovyMock(java.util.Map), spock.lang.Specification#GroovyMock(java.lang.Class), spock.lang.Specification#GroovyMock(java.util.Map, java.lang.Class), spock.lang.Specification#GroovyStub(java.util.Map, groovy.lang.Closure), spock.lang.Specification#GroovyStub(groovy.lang.Closure), spock.lang.Specification#GroovyStub(java.lang.Class, groovy.lang.Closure), spock.lang.Specification#GroovyStub(java.util.Map, java.lang.Class, groovy.lang.Closure), spock.lang.Specification#GroovyStub(), spock.lang.Specification#GroovyStub(java.util.Map), spock.lang.Specification#GroovyStub(java.lang.Class), spock.lang.Specification#GroovyStub(java.util.Map, java.lang.Class), spock.lang.Specification#GroovySpy(java.util.Map, groovy.lang.Closure), spock.lang.Specification#GroovySpy(groovy.lang.Closure), spock.lang.Specification#GroovySpy(java.lang.Class, groovy.lang.Closure), spock.lang.Specification#GroovySpy(java.util.Map, java.lang.Class, groovy.lang.Closure), spock.lang.Specification#GroovySpy(), spock.lang.Specification#GroovySpy(java.util.Map), spock.lang.Specification#GroovySpy(java.lang.Class), spock.lang.Specification#GroovySpy(java.util.Map, java.lang.Class), spock.lang.Specification#getSpecificationContext(), spock.lang.Specification#createMock(java.lang.String, java.lang.Class, org.spockframework.mock.MockNature, org.spockframework.mock.MockImplementation, java.util.Map, groovy.lang.Closure), spock.lang.Specification#wait(long, int), spock.lang.Specification#wait(long), spock.lang.Specification#wait(), spock.lang.Specification#equals(java.lang.Object), spock.lang.Specification#toString(), spock.lang.Specification#hashCode(), spock.lang.Specification#getClass(), spock.lang.Specification#notify(), spock.lang.Specification#notifyAll()`
    `class spock.lang.MockingApi` | `spock.lang.MockingApi#Stub(java.util.Map), spock.lang.MockingApi#Stub(), spock.lang.MockingApi#Stub(java.util.Map, java.lang.Class, groovy.lang.Closure), spock.lang.MockingApi#Stub(java.lang.Class, groovy.lang.Closure), spock.lang.MockingApi#Stub(java.util.Map, groovy.lang.Closure), spock.lang.MockingApi#Stub(groovy.lang.Closure), spock.lang.MockingApi#Stub(java.util.Map, java.lang.Class), spock.lang.MockingApi#Stub(java.lang.Class), spock.lang.MockingApi#Spy(java.util.Map, groovy.lang.Closure), spock.lang.MockingApi#Spy(java.lang.Class, groovy.lang.Closure), spock.lang.MockingApi#Spy(java.util.Map, java.lang.Class, groovy.lang.Closure), spock.lang.MockingApi#Spy(), spock.lang.MockingApi#Spy(java.util.Map), spock.lang.MockingApi#Spy(java.lang.Class), spock.lang.MockingApi#Spy(java.util.Map, java.lang.Class), spock.lang.MockingApi#Spy(groovy.lang.Closure), spock.lang.MockingApi#Mock(java.util.Map, java.lang.Class), spock.lang.MockingApi#Mock(java.lang.Class), spock.lang.MockingApi#Mock(java.util.Map), spock.lang.MockingApi#Mock(), spock.lang.MockingApi#Mock(java.util.Map, java.lang.Class, groovy.lang.Closure), spock.lang.MockingApi#Mock(java.lang.Class, groovy.lang.Closure), spock.lang.MockingApi#Mock(java.util.Map, groovy.lang.Closure), spock.lang.MockingApi#Mock(groovy.lang.Closure), spock.lang.MockingApi#interaction(groovy.lang.Closure), spock.lang.MockingApi#GroovyMock(groovy.lang.Closure), spock.lang.MockingApi#GroovyMock(java.util.Map, groovy.lang.Closure), spock.lang.MockingApi#GroovyMock(java.lang.Class, groovy.lang.Closure), spock.lang.MockingApi#GroovyMock(java.util.Map, java.lang.Class, groovy.lang.Closure), spock.lang.MockingApi#GroovyMock(), spock.lang.MockingApi#GroovyMock(java.util.Map), spock.lang.MockingApi#GroovyMock(java.lang.Class), spock.lang.MockingApi#GroovyMock(java.util.Map, java.lang.Class), spock.lang.MockingApi#GroovyStub(java.util.Map, groovy.lang.Closure), spock.lang.MockingApi#GroovyStub(groovy.lang.Closure), spock.lang.MockingApi#GroovyStub(java.lang.Class, groovy.lang.Closure), spock.lang.MockingApi#GroovyStub(java.util.Map, java.lang.Class, groovy.lang.Closure), spock.lang.MockingApi#GroovyStub(), spock.lang.MockingApi#GroovyStub(java.util.Map), spock.lang.MockingApi#GroovyStub(java.lang.Class), spock.lang.MockingApi#GroovyStub(java.util.Map, java.lang.Class), spock.lang.MockingApi#GroovySpy(java.util.Map, groovy.lang.Closure), spock.lang.MockingApi#GroovySpy(groovy.lang.Closure), spock.lang.MockingApi#GroovySpy(java.lang.Class, groovy.lang.Closure), spock.lang.MockingApi#GroovySpy(java.util.Map, java.lang.Class, groovy.lang.Closure), spock.lang.MockingApi#GroovySpy(), spock.lang.MockingApi#GroovySpy(java.util.Map), spock.lang.MockingApi#GroovySpy(java.lang.Class), spock.lang.MockingApi#GroovySpy(java.util.Map, java.lang.Class), spock.lang.MockingApi#getSpecificationContext(), spock.lang.MockingApi#createMock(java.lang.String, java.lang.Class, org.spockframework.mock.MockNature, org.spockframework.mock.MockImplementation, java.util.Map, groovy.lang.Closure), spock.lang.MockingApi#wait(long, int), spock.lang.MockingApi#wait(long), spock.lang.MockingApi#wait(), spock.lang.MockingApi#equals(java.lang.Object), spock.lang.MockingApi#toString(), spock.lang.MockingApi#hashCode(), spock.lang.MockingApi#getClass(), spock.lang.MockingApi#notify(), spock.lang.MockingApi#notifyAll()`

- - ### Method Detail

    - #### java.lang.Object cleanup()

    - #### java.lang.Object cleanupSpec()

    - #### java.lang.Object setup()

    - #### java.lang.Object setupSpec()